"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.wp = exports.responsiveFontSize = exports.hp = void 0;
var _reactNative = require("react-native");
const {
  isRTL
} = _reactNative.I18nManager;
const {
  width: SCREEN_WIDTH,
  height: SCREEN_HEIGHT
} = _reactNative.Dimensions.get('window');
const dimensionPercentToDP = (valuePercent, dimensionValue) => _reactNative.PixelRatio.roundToNearestPixel(dimensionValue * Number(valuePercent.toFixed(5)) / 100);
const wp = width => {
  const widthPercent = width / 375 * 100;
  return dimensionPercentToDP(widthPercent, SCREEN_WIDTH);
};
exports.wp = wp;
const hp = height => {
  const heightPercent = height / 813 * 100;
  return dimensionPercentToDP(heightPercent, SCREEN_HEIGHT);
};
exports.hp = hp;
const responsiveFontSize = fontSize => {
  if (!isRTL) {
    return _reactNative.PixelRatio.roundToNearestPixel(fontSize / _reactNative.PixelRatio.getFontScale());
  }
  return _reactNative.PixelRatio.roundToNearestPixel(fontSize / _reactNative.PixelRatio.getFontScale()) - 2;
};
exports.responsiveFontSize = responsiveFontSize;
//# sourceMappingURL=responsiveSizes.js.map